/* 08/11/97 16:48:19
 *
 * teste.c - programa de teste do DLL pchekpar.dll
 */

#include <windows.h>
#include <mem.h>
#include <stdio.h>
#include "D0035G00.h"

char buffer[1024];

int main(void)
{
///////////////////////////////////////////////////////////////////////////////
HINSTANCE hLibrary;

	printf("\n Abrindo a DLL D0035G00.DLL: ");

	hLibrary=LoadLibrary("D0035G00.DLL");
	if(hLibrary == NULL) {
		printf(" **** Erro no LoadLibrary! ****\n");
		return 1;
	}
	printf("OK!\n");

	printf("\n Conectando nas Rotinas: ");

	(FARPROC) habilita_paralela=GetProcAddress(hLibrary,"habilita_paralela");
	if(habilita_paralela == NULL) {
		printf(" **** GetProcAddress Error! 1 **** \n");
		FreeLibrary(hLibrary);
		return 1;
	}

	(FARPROC) desabilita_paralela=GetProcAddress(hLibrary,"desabilita_paralela");
	if(desabilita_paralela == NULL) {
		printf(" **** GetProcAddress Error! 2 ****\n");
		FreeLibrary(hLibrary);
		return 1;
	}

	(FARPROC) transmite=GetProcAddress(hLibrary,"transmite");
	if(transmite == NULL) {
		printf(" **** GetProcAddress Error! 3 ****\n");
		FreeLibrary(hLibrary);
		return 1;
	}

	(FARPROC) recebe=GetProcAddress(hLibrary,"recebe");
	if(recebe == NULL) {
		printf(" **** GetProcAddress Error! 4 ****\n");
		FreeLibrary(hLibrary);
		return 1;
	}

	  printf("OK!\n");
////////////////////////////////////////////////////////////////////////////////
 printf("\n");
 // habilita a comunicaao paralela
 habilita_paralela();

 // inicializa o buffer
 memset(buffer,0,sizeof(buffer));

 char cmd[100];

 do
 {
  cmd[0]=0;
  printf(" Comando: ");gets(cmd);

  if(cmd[0]!=0)
  {
	if (transmite(cmd) != 0 )
	{
	 if (recebe(25, buffer) != 0)
	 {
	printf(" Resposta: %s\n", buffer);
	 }
	 else printf(" Erro na Resposta!\n");
	}
	else printf(" Erro na Transmissao!\n");
  }
 }while(cmd[0]!=0);

 desabilita_paralela();

 FreeLibrary(hLibrary);

 return 0;
}
