/* 08/11/97 16:40:43
 *
 * Pertopay.h
 */

#define FALSE	0
#define TRUE	1
#define SERIAL	0
#define PARALELA	1

// Cdigos de retorno da SendFiscalCmd
#define PP_OK 0
#define PP_ERROR_PARAM -100
#define PP_ERROR_TIMEOUT -101
#define PP_ERROR_ENVIO -102

// Machine Models
#define MOD_2010 2010
#define MOD_2013 2013
#define MOD_2020 2020
#define MOD_2023 2023

#ifdef __cplusplus
extern "C"
{
#endif
	// Rotinas para equipamentos no fiscais
	int __declspec(dllexport) WINAPI IniciaPorta(LPSTR lpszPort);
	int __declspec(dllexport) WINAPI FechaPorta(void);
	int __declspec(dllexport) WINAPI ProcessaComando(LPSTR lpszComand, LPSTR lpszResp);
	int __declspec(dllexport) WINAPI ResetPerto(void);

   // Rotinas para equipamentos fiscais
	int __declspec(dllexport) WINAPI FiscalConnection(LPSTR lpszPort);
	int __declspec(dllexport) WINAPI ProcessFiscalCmd(LPTSTR lpBufferTx, DWORD nLenTx, LPSTR lpBufferRx, DWORD *nLenRx, BYTE chTimeOut, BOOL bFlow);
#ifdef __cplusplus
}
#endif

