unit Ex_Pascal;

interface

uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   StdCtrls, Buttons;

type
   TFormPrinc = class(TForm)
   Label1: TLabel;
   inicia: TButton;
   Button2: TButton;
   Button3: TButton;
   procedure FormClose(Sender: TObject; var Action: TCloseAction);
   procedure iniciaClick(Sender: TObject);
   procedure SpeedButton1Click(Sender: TObject);
   procedure SpeedButton2Click(Sender: TObject);

   private
      { Private declarations }
   public
      { Public declarations }
   end;

var
   FormPrinc: TFormPrinc;
   r : integer;
   chresp : array[0..255] of char;

implementation
{$R *.DFM}

{Declaraes das funes utilizadas na Dll da PertoPay}
function ProcessaComando(lpszComand,lpszResp: PChar): integer; far; stdcall external 'PertoPay.dll';
function IniciaPorta(lpszPort : PChar):integer; far; stdcall external 'PertoPay.dll';
function FechaPorta : integer; far; stdcall external 'PertoPay.dll';
function ProcessFiscalCmd(lpBufferTx :PChar; nLenTx: cardinal;
                          lpBufferRx :PChar; var nLenRx :cardinal;
                          chTimeOut :byte; bFlow :LongBool) :integer; far; stdcall external 'PertoPay.dll';


procedure TFormPrinc.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   {Comando responsvel para fechar a porta do PC
    este comando no utiliza parmetros de entrada}
    r:=FechaPorta;
end;

{**************************************************************************}

procedure TFormPrinc.iniciaClick(Sender: TObject);
begin
   {Comando que inicializa a porta do PC, com os
    seguintes parmetros: - porta utilizada
                          - baud rate
                          - paridade(N,O,P)
                          - data bit(7,8)
                          - Stop bit(1,2) }

   r:= IniciaPorta('COM1:9600,N,8,1');
   {Menssagens de retorno}
   if r = 0 then
   begin
      Application.MessageBox('Erro na inicializao!', 'Erro', mb_iconerror);
   end
   else
   begin
      Application.MessageBox('Inicializao Ok!', 'OK', mb_OK);
   end;
end;

{**************************************************************************}

procedure TFormPrinc.SpeedButton1Click(Sender: TObject);
begin
   {Processa e transmite comandos para a PertoPay
    com os seguintes parmetros: - string com a sintaxe de comando a ser enviado
                                 - buffer com os dados a serem recebidos }

   Application.MessageBox('Pressione o boto "Ok" e aps insira o cheque...', 'ATENO', mb_OK);

   r:=ProcessaComando('$0000000123456000', chresp);
   {Menssagens de retorno}
   if r = 0 then
   begin
      Application.MessageBox(chresp, 'ERRO', mb_iconerror);
   end
   else
   begin
      if (StrComp(chresp+1, '000') <> 0) then
      begin
         Application.MessageBox(chresp, 'ERRO NO ENVIO DO COMANDO', mb_OK);
      end
      else
         Application.MessageBox(chresp, 'Comando executado com sucesso!', mb_OK);
   end;                                  
end;

{**************************************************************************}

procedure TFormPrinc.SpeedButton2Click(Sender: TObject);
begin
   {Comando responsvel para fechar a porta do PC
    este comando no utiliza parmetros de entrada}
    r:=FechaPorta;
    if r = 0 then
    begin
       Application.MessageBox('Erro na finalizao!', 'Erro', mb_iconerror);
    end
    else
    begin
       Application.MessageBox('Finalizao Ok!', 'OK', mb_OK);
    end;
end;

{**************************************************************************}

end.


