/* 
 * Include file for testpind.c and its functions callers.
 */

#define PINPAD_PROTO_STXETX '0' /* STX/ETX Protocol */
#define PINPAD_PROTO_SISO   '1' /* SI/SO Protocol */

#define PINPAD_EOT_NO    '0' /* Do NOT send/recv EOT */
#define PINPAD_EOT_YES   '1' /* Do send/recv EOT */
#define PINPAD_EOTACK_NO 'S' /* Do NOT receive EOT nor ACK */

#ifdef ANSI
int pin_open_dev(char *dev, int baud);
int pin_close_dev(int handle);
int pin_send(int handle, char *buffer, int buflen, 
		unsigned char proto, unsigned char eot);
int pin_recv(int handle, char *buffer, int bufsize, unsigned char eot);
#else
int pin_open_dev();
int pin_close_dev();
int pin_send();
int pin_recv();
#endif /* ANSI */

/* testpind.h eof ---------------------------------------------------------- */
