unit sample;

interface

uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   StdCtrls;

//----------------------------------------------------------------------

type
   TForm1 = class(TForm)
   Btn1_: TButton;
   procedure FormClose(Sender: TObject; var Action: TCloseAction);
   procedure Btn1_Click(Sender: TObject);
   procedure FormCreate(Sender: TObject);
   private
      { Private declarations }
   public
      { Public declarations }
end;

//----------------------------------------------------------------------

var
   Form1: TForm1;
   porta: integer;
   baud: integer;

implementation
{$R *.DFM}

function IniComm(si :PChar) :boolean; far; stdcall external 'pertochekser.dll';
function EndComm:boolean; far; stdcall external 'pertochekser.dll';
function EnvComm(si :PChar) :integer; far; stdcall external 'pertochekser.dll';
function RecComm(t :integer; bufrx :PChar) :integer; far; stdcall external 'pertochekser.dll';

//----------------------------------------------------------------------

procedure TForm1.FormCreate(Sender: TObject);
var
conf: array[0..255] of char;

begin
      Form1.caption := 'Exemplo de utilizao da PertoChekSer.dll';
      strpcopy (conf, 'COM1:4800,N,8,1');
      if not IniComm(conf) then
      begin
         Application.MessageBox('Porta serial no pode ser inicializada !', 'Erro', mb_OK);
         Halt;
      end;
end;

//----------------------------------------------------------------------

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   EndComm();
end;

//----------------------------------------------------------------------

procedure TForm1.Btn1_Click(Sender: TObject);
var
   ticks: integer;
   resp :array[0..255] of char;
   r: integer;

begin
   // timeout na recepo da resposta (em segundos)
   ticks := 50;
   // envia comando solicitando verso da PertoChek
   r := EnvComm('V');
   if r = 0 then
   begin
      Application.MessageBox('Erro na transmisso do comando !', 'Erro', mb_OK);
      Close;
   end
   else
   begin
      r := RecComm(ticks, resp);
      if r = 0 then
      begin
         Application.MessageBox('Erro na recepo da resposta !', 'Erro', mb_OK);
      end
      else
         Application.MessageBox(resp, 'Verso da PertoChek', mb_OK);
   end;
end;
end.
//----------------------------------------------------------------------
