Public Class frmMain

    Private Sub btnAbrePorta_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAbrePorta.Click

        Dim ret As Long

        ret = Class1.IniComm("COM1:4800,N,8,1")
        If ret = 0 Then
            MsgBox("Problema ao abrir porta serial!")
        Else
            MsgBox("Porta serial aberta com sucesso!")
            btnEnviaComando.Enabled = True
            btnFechaPorta.Enabled = True
            btnAbrePorta.Enabled = False
            txtComando.ReadOnly = False
        End If

    End Sub

    Private Sub btnEnviaComando_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnviaComando.Click

        Dim cComando As String
        Dim cResposta As New System.Text.StringBuilder(256)

        Dim ret As Integer

        'Captura o comando a ser enviado
        cComando = txtComando.Text.ToString

        'Verifica se a Pertochek est ocupada
        ret = Class1.SerialBusy(3)

        If ret = 1 Then

            'Envia o comando
            ret = Class1.EnvComm(cComando)
            If ret = 1 Then

                btnEnviaComando.Enabled = False
                'Aguarda o retorno do comando com timeout de 60 segundos
                ret = Class1.RecComm(60, cResposta)
                btnEnviaComando.Enabled = True
                If ret = 1 Then
                    MsgBox("Resposta do comando: " + cResposta.ToString)
                Else
                    MsgBox("Erro no envio da RecComm")
                    Exit Sub
                End If

            Else

                MsgBox("Erro no envio da EvnComm")
                Exit Sub

            End If

        Else
            MsgBox("Pertochek Ocupada!")
            Exit Sub

        End If

    End Sub

    Private Sub btnFechaPorta_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFechaPorta.Click

        Dim ret As Long

        'Verifica se a Pertochek est ocupada
        ret = Class1.SerialBusy(3)

        If ret = 1 Then

            ret = Class1.EndComm()
            If ret = 0 Then
                MsgBox("Problema ao fechar porta serial!")
            Else
                MsgBox("Porta serial fechada com sucesso!")
                btnEnviaComando.Enabled = False
                btnFechaPorta.Enabled = False
                btnAbrePorta.Enabled = True
                txtComando.Text = ""
                txtComando.ReadOnly = True
            End If

        Else
            MsgBox("Pertochek Ocupada!")
            Exit Sub

        End If

    End Sub
End Class
