# Makefile para compilacao do exemplo 'tppn'.
# As rotinas 'clientes' de acesso aa Pertochek, arquivo 'cliente.c' 
# sao linkeditadas junto com o programa usuario, no caso, o exemplo 'tpchkpin'.
# E, para este teste, o codigo de acesso aa Pertocheck tambem eh linkeditado 
# junto com o programa do usuario, de forma que nao sera utilizado um processo
# servidor separado.

CCFLAGS = -I../../common -DPERTO_NO_SERVER_DAEMON

SRCS = tpchkpin.c testpind.c ../cliente.c ../../common/conf.c ../../server/server.c ../../server/stxetx.c

HDRS = ../../common/perto.h

OBJS = tpchkpin.o testpind.o cliente.o conf.o server.o stxetx.o

all: tppn

.c.o:
	cc $(CCFLAGS) -c $<

tpchkpin.o: tpchkpin.c ../../common/perto.h

testpind.o: testpind.c ../../common/perto.h

cliente.o: ../cliente.c ../../common/perto.h
	cc $(CCFLAGS) -c $<

conf.o: ../../common/conf.c ../../common/perto.h
	cc $(CCFLAGS) -c $<

server.o: ../../server/server.c ../../common/perto.h
	cc $(CCFLAGS) -c $<

stxetx.o: ../../server/stxetx.c ../../common/perto.h
	cc $(CCFLAGS) -c $<

tppn: $(OBJS)
	cc -o $@ $(OBJS)
	rm -f $(OBJS)

# testpinn.mak eof ----------------------------------------------------------
