# Makefile para compilacao do exemplo 'tpps'.
# As rotinas 'clientes' de acesso aa Pertochek, arquivo 'cliente.c' 
# sao linkeditadas junto com o programa usuario, no caso, o exemplo 'tpchkpin'.
# Acesso aa pertochek via processo daemon servidor.

CCFLAGS = -I../../common

SRCS = tpchkpin.c testpind.c ../cliente.c ../../common/conf.c

HDRS = ../../common/perto.h

OBJS = tpchkpin.o testpind.o cliente.o conf.o

all: tpps

.c.o:
	cc $(CCFLAGS) -c $<

tpchkpin.o: tpchkpin.c ../../common/perto.h

testpind.o: testpind.c ../../common/perto.h

cliente.o: ../cliente.c ../../common/perto.h
	cc $(CCFLAGS) -c $<

conf.o: ../../common/conf.c ../../common/perto.h
	cc $(CCFLAGS) -c $<

tpps: $(OBJS)
	cc -o $@ $(OBJS)
	rm -f $(OBJS)

# testpins.mak eof ---------------------------------------------------------
