/****************************************************************************
 *                                                                          *
 * Nome da Empresa: Perto S.A.                                              *
 *                                                                          *
 * Nome do Modulo: COMU3500					     	    *
 *                                                                          *
 * Nome do Produto: Perto Chek                                              *
 *                                                                          *
 * Referencia:                                                              *
 *                                                                          *
 * Data da Criao: 09/10/96                                                *
 *                                                                          *
 * Ultima Alterao: 22/07/98                                               *
 *                                                                          *
 * Descrio: Rotinas para comunicar com a PertoChek utilizando a DLL       *
 * 	      D0035k00.DLL.                                                 *
 *                                                                          *
 * Alterao:                                                               *
 *                                                                          *
 *              Jefferson Couto 22/07/98                                    *
 *                                                                          *
 *      Adaptado para usar a DLL D0035K00.dll                               *                          
 *                                                                          *
 *      Distrito Industria de Gravatai - Perto - M E G S - 07/08/95         *
 ****************************************************************************/
#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include "d0035k00.h"

char Resp[ 1024 ];

/******************************************************************
 *                                                                *
 * Nome:                                                          *
 * Descrio:                                                     *
 *                                                                *
 *                                                                *
 *                                                                *
 * Entrada:                                                       *
 *                                                                *
 * Saida:                                                         *
 *                                                                *
 ******************************************************************/
int main(void)
{
   if (!IniComm("COM1:4800,N,8,1\n"))
   {
      printf("Erro na Abertura da COM1\n");
      return 0;
   }

   printf("Insira o cheque\n\n");

   if (EnvComm("="))
   {
      if (RecComm(850, Resp))
         printf("Resposta: %s\n", Resp);
      else
      {
         printf("Erro de Recepo\n");
         return 0;
      }
   }
   else
   {
      printf("Erro de Transmisso\n");
      return 0;
   }

   /*-----------------------------------------------------------*/

   if (EnvComm("!251204"))
   {
      if (RecComm(180, Resp))
         printf("Resposta: %s\n", Resp);
      else
      {
         printf("Erro de Recepo\n");
         return 0;
      }
   }
   else
   {
      printf("Erro de Transmisso\n");
      return 0;
   }

   /*-----------------------------------------------------------*/
   if (EnvComm("#Perto S.A."))
   {
      if (RecComm(180, Resp))
         printf("Resposta: %s\n", Resp);
      else
      {
         printf("Erro de Recepo\n");
         return 0;
      }
   }
   else
   {
      printf("Erro de Transmisso\n");
      return 0;
   }

   /*-----------------------------------------------------------*/

   if (EnvComm(";B000005640000"))
   {
      if (RecComm(950, Resp))
         printf("Resposta: %s\n", Resp);
      else
      {
         printf("Erro de Recepo\n");
         return 0;
      }
   }
   else
   {
      printf("Erro de Transmisso\n");
      return 0;
   }

   printf("Retire o cheque\n\n");

   getch();
   EndComm();

   return 1;
}
   /*-----------------------------------------------------------*/
